list      	p=12F629			; "list" Anweisung zur Definition des Prozessors
#include 	<p12f629.inc>		; Einbinden von speziellen, zum Controller gehrenden Variablen ber die Datei *.inc 
	__CONFIG  _CP_OFF & _WDT_OFF & _BODEN_ON & _PWRTE_ON & _INTRC_OSC_NOCLKOUT & _MCLRE_OFF & _CPD_OFF
;
; '__CONFIG' Diese Anweisung wird benutzt, um das Configurations-Word innerhalb der *.asm Datei einzubinden.
; Weitere Informationen zum Configurations-Word knnen auch dem Datenblatt entnommen werden.
; Die mit einem Sternchen * markierten Optionen sind ausgewhlt worden.
;              
;				CP: Code Protection bit
;              *		OFF = Program Memory code protection is disabled 
;                  		ON  = Program Memory code protection is enabled
;              	WDT: Watchdog Timer Enable bit
;                  		ON  = WDT enabled
;               *  		OFF = WDT disabled 
;               BODEN: Brown-out Detect Enable bit
;               * 	 	ON  = BOD enabled 
;                   	OFF = BOD disabled
;               PWRTE: Power-up Timer Enable bit
;                     	OFF = PWRT disabled
;              	*		ON  = PWRT enabled
;               MCLRE: GP3/MCLR pin function select
;                      	ON  = GP3/MCLR pin function is MCLR
;               *   	OFF = GP3/MCLR pin function is digital I/O
; 				CPD: Data Code Protection bit 
;               *   	OFF = Data memory code protection is disabled 
;                      	ON  = Data memory code protection is enabled
;				Oscillator Variations:
;						LP_OSC   = Low power crystal on GPIO4 and GPIO5 
;						XT_OSC   = Crystal/resonator on GPIO4 and GPIO5 
;						HS_OSC   = High speed crystal/resonator on GPIO4 and GPIO5 
;						EC_OSC   = I/O function on GPIO4 pin, CLKIN on GPIO5 
;					*	INTRC_OSC_NOCLKOUT  = I/O function on GPIO4 pin, I/O function on GPIO5 
;						INTRC_OSC_CLKOUT  = CLKOUT function on GPIO4 pin, I/O function on GPIO5 
;						EXTRC_OSC_NOCLKOUT  = I/O function on GPIO4 pin, RC on GPIO5 
;						EXTRC_OSC_CLKOUT    = CLKOUT function on GPIO4 pin, RC on GPIO5

;*********************************************************************************************************
bsf STATUS, RP0; Auswahl Bank 1
call 0x3FF; interne Takversorgung initialisieren
movwf OSCCAL;
movlw B'11101011';	Ein- und Ausgnge definieren; GP0=1=Eingang, GP1=1=Eingang, GP2=0=Ausgang, GP3=1=Eingang, GP4=0=Ausgang, GP5=1=Eingang 
movwf TRISIO;
bcf STATUS, RP0; Auswahl Bank 0;
clrf INTCON; alle Interrupts aussschalten
clrf GPIO; Lschen aller Ausgnge;


loops	Equ	0x22		; Zhler fr Warteschleife 
loops2	Equ	0x23		; Zhler fr Warteschleife 

Start	btfss  GPIO, 5;
		goto   Start;
StartMain

		bsf 	GPIO, 4	;
		bcf 	GPIO, 2 ;
		call 	Wait	;
		bsf 	GPIO, 2	;
		bcf 	GPIO, 4	;
		call 	Wait	;
		
		goto 	StartMain;

	
; Warteschleife 250 ms

Wait
		movlw	D'250'		; 250 ms Pause
		movwf	loops	

Wai
		movlw   D'255'         ; Zeitkonstante fr 1ms
        movwf   loops2
Wai2    nop                    ; 
        nop
        nop
        nop
        nop
        nop
        decfsz  loops2, F      ; 1 ms vorbei?
        goto    Wai2           ; nein, noch nicht
                               ;
        decfsz  loops, F       ; 250 ms vorbei?
        goto    Wai            ; nein, noch nicht
        retlw   0              ; das Warten hat ein Ende
		return;
       
; Startwerte fr den internen Oscilator
ORG 0x3FF;
RETLW 0x80;
end